Bug 987250 - Rejecting a new, unsaved translation presents a problematic dialog
Rejecting a new, unsaved translation presents a problematic dialog
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Alex Eng
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 01:21 EDT by Damian Jansen
Modified: 2015-07-30 21:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-30 21:26:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-07-23 01:21:36 EDT
Description of problem:
Edge case: If a translator+reviewer starts a new translation and then presses reject, they are presented with a dialog that cannot be submitted.

Version-Release number of selected component (if applicable):
Dev

How reproducible:
Easily, always

Steps to Reproduce:
1. Go to a document and click on an empty target
2. Start entering text, press Reject icon
3. On the new dialog, enter text and press the Confirm reject button

Actual results:
Nothing happens!

Expected results:
It's an odd edge case, but either an unsaved translation should not be Approve-able or Reject-able, or the dialog should do some save and reject magic.
Comment 1 Damian Jansen 2014-07-28 01:45:50 EDT
Tested 3.5.0-SNAPSHOT (git-server-3.4.2-201-ge0afdde) - still an issue (albeit a very minor one...)
Comment 2 Zanata Migrator 2015-07-30 21:26:35 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-508

Note You need to log in before you can comment on or make changes to this bug.